summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorReiner Herrmann <reiner@reiner-h.de>2016-03-26 17:59:14 +0100
committerHolger Levsen <holger@layer-acht.org>2016-03-26 12:58:42 -0400
commitbc13c639504599e8115763e14d3fc8e19e38c865 (patch)
tree0677e6ca377842164d91647d6c726a9b650fba9b
parent5555bf4027daaee159d9cbe9ff787333b7516c32 (diff)
downloadjenkins.debian.net-bc13c639504599e8115763e14d3fc8e19e38c865.tar.xz
diffoscopy_pypi_test: improve version number extraction
-rwxr-xr-xbin/diffoscope_pypi_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/diffoscope_pypi_test.sh b/bin/diffoscope_pypi_test.sh
index 675283c1..d2fa0c82 100755
--- a/bin/diffoscope_pypi_test.sh
+++ b/bin/diffoscope_pypi_test.sh
@@ -17,7 +17,7 @@ cleanup_all() {
TMPPYPI=$(mktemp -t diffoscope-pypi-XXXXXXXX)
trap cleanup_all INT TERM EXIT
-DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep '(unstable|sid)'| cut -d "|" -f2 || true)
+DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep '(unstable|sid)'| awk '{print $3}' || true)
curl https://pypi.python.org/pypi/diffoscope/ -o $TMPPYPI
DIFFOSCOPE_IN_PYPI=$(grep "<title>" $TMPPYPI | cut -d ">" -f2- | cut -d ":" -f1 |cut -d " " -f2)
echo